import request from '@/utils/request'

// 新增数据类型
export function addDataClassAPI(data) {
    return request({
        url: '/smartArchives/data/classify/addKyDataClassify',
        method: 'POST',
        data: data,
    })
}

// 修改数据类型
export function updateDataClassAPI(data) {
    return request({
        url: '/smartArchives/data/classify/updateKyDataClassify',
        method: 'POST',
        data: data,
    })
}

// 删除数据类型
export function deleteDataClassAPI(data) {
    return request({
        url: '/smartArchives/data/classify/delKyDataClassify',
        method: 'POST',
        data: data,
    })
}

// 查询数据类型列表
export function getListDataClassAPI(data) {
    return request({
        url: '/smartArchives/data/classify/list',
        method: 'GET',
        params: data,
    })
}
